Bug 496779 - (perl-RT-Client-REST) Review Request: perl-RT-Client-REST - Talk to RT using REST protocol
Review Request: perl-RT-Client-REST - Talk to RT using REST protocol
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/RT-Client...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 02:10 EDT by Chris Weyl
Modified: 2009-04-24 03:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 03:00:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-21 02:10:27 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-RT-Client-REST.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-RT-Client-REST-0.37-1.fc10.src.rpm

Description:
*RT::Client::REST* is */usr/bin/rt* converted to a Perl module. I needed
to implement some RT interactions from my application, but did not feel
that invoking a shell command is appropriate. Thus, I took *rt* tool,
written by Abhijit Menon-Sen, and converted it to an object-oriented
Perl module.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1310693

*rt-0.06
Comment 1 Parag AN(पराग) 2009-04-21 03:06:15 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1310693
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
383bf572afdb8040641d4d413ef96476  RT-Client-REST-0.37.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=15, Tests=325, 24 wallclock secs ( 0.16 usr  0.03 sys +  5.09 cusr  0.31 csys =  5.59 CPU)
+ Package perl-RT-Client-REST-0.37-1.fc11.noarch =>
  Provides: perl(RT::Client::REST) = 0.37 perl(RT::Client::REST::Attachment) = 0.03 perl(RT::Client::REST::Exception) = 0.19 perl(RT::Client::REST::Forms) perl(RT::Client::REST::HTTPClient) = 0.01 perl(RT::Client::REST::Object) = 0.09 perl(RT::Client::REST::Object::Exception) = 0.05 perl(RT::Client::REST::Queue) = 0.02 perl(RT::Client::REST::SearchResult) = 0.03 perl(RT::Client::REST::Ticket) = 0.09 perl(RT::Client::REST::Transaction) = 0.01 perl(RT::Client::REST::User) = 0.02

Requires: perl(Error) perl(Exception::Class) perl(Exporter) perl(HTTP::Cookies) perl(HTTP::Request::Common) perl(Params::Validate) perl(RT::Client::REST) >= 0.14 perl(RT::Client::REST) >= 0.18 perl(RT::Client::REST) >= 0.20 perl(RT::Client::REST::Attachment) perl(RT::Client::REST::Exception) perl(RT::Client::REST::Exception) >= 0.18 perl(RT::Client::REST::Forms) perl(RT::Client::REST::HTTPClient) perl(RT::Client::REST::Object) >= 0.01 perl(RT::Client::REST::Object::Exception) >= 0.01 perl(RT::Client::REST::Object::Exception) >= 0.03 perl(RT::Client::REST::Object::Exception) >= 0.04 perl(RT::Client::REST::SearchResult) >= 0.02 perl(RT::Client::REST::Ticket) perl(RT::Client::REST::Transaction) perl(base) perl(strict) perl(vars) perl(warnings)


Also,
  Strange to see requires
perl(RT::Client::REST::Object::Exception) >= 0.01 perl(RT::Client::REST::Object::Exception) >= 0.03 perl(RT::Client::REST::Object::Exception) >= 0.04 
Do we really need to care to filter 2 of them?

APPROVED.
Comment 2 Chris Weyl 2009-04-21 11:42:06 EDT
New Package CVS Request
=======================
Package Name: perl-RT-Client-REST
Short Description: Talk to RT using REST protocol
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Chris Weyl 2009-04-21 11:45:05 EDT
(In reply to comment #1)

> Also,
>   Strange to see requires
> perl(RT::Client::REST::Object::Exception) >= 0.01
> perl(RT::Client::REST::Object::Exception) >= 0.03
> perl(RT::Client::REST::Object::Exception) >= 0.04 
> Do we really need to care to filter 2 of them?

Yeah, it's weird but outside of filtering them there isn't much we can do about it.  The most restrictive one wins (the last one in this case), and nothing "bad" will happen due to this, so I don't think it's really worth filtering the redundant ones out.
Comment 4 Kevin Fenzi 2009-04-23 12:49:19 EDT
cvs done.
Comment 5 Chris Weyl 2009-04-24 03:00:20 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.